Function
canParseString
Test whether an automaton can parse a string completely.
canParseString(g [, v], str)
Include Headers
seqan/graph_types.h
Parameters

g | An automaton or a word graph. Types: Automaton, Word Graph
v | A vertex descriptor. (optional) Types: VertexDescriptor Default: The root of g.
str | A string. Types: String

Return Values
true if g parses str starting at v completely, false otherwise.
See Also
parseString, getSuccessor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46